Markdown Converters

# Markdown Converters
* Sometimes content to be included in Joplin can most easily be obtained by converting output from some other format.  For instance:
	* HTML to Markdown can be accomplished using this tool: [Paste to Markdown](https://euangoddard.github.io/clipboard2markdown/). However, although free it has the following disadvantages:
		* Footnote or endnote references are shown in an unusual format (atleast compared to Joplin's) where a caret is followed by a number within square-brackets and then an intradocument link and then another caret. So the solution is to change **all of that** to `^note1` within square brackets instead.
		* Also, the actual footnotes and endnotes are just numbered lists with, at the end of each note, a return link to the corresponding intradocument link mentioned above. The solution is to change the leading `1.` to `^note1` within square brackets, and then **totally delete** the text at the end of the note which has `return` nested in square brackets, and then within carets and then within square brackets (seriously?).
		* The use of `^note1` is arbitrary, Joplin allows named notes, which it then translates into the appropriate number based on position within the document.



id: 0dd4a49d59704db9a81ae129fdedacbd
parent_id: 9909e4c9862c4cb7a110173fe722e9b5
created_time: 2021-10-24T23:06:45.241Z
updated_time: 2021-10-24T23:26:55.519Z
is_conflict: 0
latitude: 40.07130000
longitude: -74.84490000
altitude: 0.0000
author: 
source_url: 
is_todo: 0
todo_due: 0
todo_completed: 0
source: joplin-desktop
source_application: net.cozic.joplin-desktop
application_data: 
order: 0
user_created_time: 2021-10-24T23:06:45.241Z
user_updated_time: 2021-10-24T23:26:55.519Z
encryption_cipher_text: 
encryption_applied: 0
markup_language: 1
is_shared: 0
share_id: 
conflict_original_id: 
master_key_id: 
type_: 1