Tips, How Tos and Reminders

## Tips, How Tos and Reminders

* ⚠️ Ctrl-L is a very useful hot key. It toggles among the following modes, each having its own advantages/disadvantages:
	* Markdown editor only
	* Markdown view only
	* Side by side Markdown editor/view
* Ctrl-P is also a very useful hot key. It pops up a free form text box where you can type:
	* some full or partial text to find anywhere in Joplin
	* @notebookname (or portion thereof) to find a notebook
		* very useful when you don't know what hierarchy in which it might reside as a child
* Go here for [Joplin's Markdown Dialect Reference](https://joplinapp.org/markdown/)
* Here are some specific tips:
	- This line has a 40% complete progress bar <progress value=0.4></progress> using this syntax:  `<progress value=0.4></progress>`
	- [ ] This line has a check box at the left edge (but if you want more than this simple "To Do" feature, you can consider the Joplin [Inline Todo Plugin](https://discourse.joplinapp.org/t/inline-todo-plugin/25490))
	- To create a link from one note to another use the square bracket syntax to assign a link label, then in the immediately following parentheses that would normally have a Web link, use this notation:
		- `(:/long_Joplin_ID#)`
you obtain the Joplin ID# by click the circle "i" symbol at the top right corner of the target note and copying it to your clipboard for use in the link as shown above.
	* Note that this[^a_footnote] is the easiest way to do a footnote.
		* But note that if you type the reference first (as in this example) it won't show as a footnote until you type the endnote, as shown below. This can be confusing.
	* If you need to include a bullet list **within** a footnote, be sure to indent first before each asterisk; indenting is a cue to Markdown that the following text belongs to the above text. [Reference](https://stackoverflow.com/questions/32421728/markdown-footnotes-with-bullet-points).
	* Joplin's numbered sub-lists are not very well rendered (at least in my opinion) so I either stick with unordered lists or do numbering at top level and then unordered beneath (as of October 2020)
	* To embed an image in a note make sure the image file is available locally and then just drag and drop where you want it (you can leave extra blank lines to show the void, and also name the images in numerical order to make it easier to know which one goes in which void)

[^a_footnote]: Notice how you didn't need to assign a number, it was generated automatically. And therefore if you move text around you don't have to worry about the footnote numbers getting out of sequence.


id: 2095b6559302478ebc881a469b86182b
parent_id: 9909e4c9862c4cb7a110173fe722e9b5
created_time: 2020-10-25T23:33:41.865Z
updated_time: 2023-03-17T02:01:29.732Z
is_conflict: 0
latitude: 0.00000000
longitude: 0.00000000
altitude: 0.0000
author: 
source_url: 
is_todo: 0
todo_due: 0
todo_completed: 0
source: joplin-desktop
source_application: net.cozic.joplin-desktop
application_data: 
order: 0
user_created_time: 2020-10-25T23:33:41.865Z
user_updated_time: 2023-03-17T02:01:29.732Z
encryption_cipher_text: 
encryption_applied: 0
markup_language: 1
is_shared: 0
share_id: 
conflict_original_id: 
master_key_id: 
type_: 1