Resolving Conflicts

# Resolving Conflicts
* First, to avoid conflicts synchronize often and especially before/after moving to another device (e.g., before going to the market or after returning). See also [this advice](:/0844bae0512b460e97a50d624a15c80b).
* The first time I had Conflicts (in a red notebook) listed on the left at the bottom, they were for the same note, and it wasn't immediately obvious what I was supposed to do about them.
	* First keep looking at the "real" Note vs. one or more of the Conflict notes, and try to make the Conflict note match. Do this repeatedly if there are many changes needed, or if there are multiple conflicts for the same note.
	* The notes should magically disappear from the Conflicts section once you've made them match the real note. However in the end they kept coming back (maybe because I had 2 for the same note).
	* So I went to draft mode and did a Select All and Copy of the Markdown for the real note, then I one at a time right-clicked and deleted each of the Conflicts (I was holding the original draft in my clipboard just in case, but I perhaps should also have put it in Notepad++).
		* Once both conflicts were deleted the Conflicts notebook disappeared and I was pleased to see that the original note remained as I had left it.
		* I then synchronized the Windows machine, and then my phone.
* Another time the situation was worse, but mainly my own fault:
	* For some reason I had decided to use checkmark emoticons instead of the hyphen followed by an open square bracket, space and close square bracket.  Note that for some reason an asterisk won't work, it has to be a hyphen. Note that this was a note that was 6 months old, so I was not as familiar with Joplin's Markdown rules as I am today.
	* In this case I did the following:
		* copied the pure Markdown from the desktop and pasted put it into Notepad++,
		* changed the syntax so that it was correct
		* deleted the note from all 3 devices (desktop, phone and tablet)
		* synced up all devices
		* created the note again, pasting in the corrected Markdown from Notepad++
		* synced up all devices again
		* made sure none of the devices showed a conflict
* See also [this link in the Joplin forum](https://discourse.joplinapp.org/t/conflicts/1822).

id: 9ba62a82328b44d393c49e6cc92acaa4
parent_id: 9909e4c9862c4cb7a110173fe722e9b5
created_time: 2021-07-18T00:32:47.646Z
updated_time: 2023-01-24T04:09:16.362Z
is_conflict: 0
latitude: 0.00000000
longitude: 0.00000000
altitude: 0.0000
author: 
source_url: 
is_todo: 0
todo_due: 0
todo_completed: 0
source: joplin-desktop
source_application: net.cozic.joplin-desktop
application_data: 
order: 0
user_created_time: 2021-07-18T00:32:00.000Z
user_updated_time: 2023-01-24T04:09:00.000Z
encryption_cipher_text: 
encryption_applied: 0
markup_language: 1
is_shared: 0
share_id: 
conflict_original_id: 
master_key_id: 
type_: 1