What is a conflict?

## What is a conflict?[^source]
[^source]: This advice was downloaded from [this page](https://joplinapp.org/conflict/) on Joplin's Web site at 11:05 PM EST 2023-01-23.

A conflict happens when one note or one attachment is modified in two different places, and then synchronised. In that case, it is not possible to determine which version of the note or attachment you want to keep, and thus a conflict is generated.

## What happens in case of a conflict?<a id="what-happens-in-case-of-a-conflict"></a>[🔗](#what-happens-in-case-of-a-conflict)

When Joplin detects a conflict, the local note is copied to the Conflict notebook so as to avoid any data loss. Then the remote note is downloaded. You can then inspect the notes in the Conflict notebook, compare it with your other version, and copy any change that might have been overwritten.

See also [my personal notes](:/9ba62a82328b44d393c49e6cc92acaa4) on dealing with past conflicts.

## How to avoid conflicts?<a id="how-to-avoid-conflicts"></a>[🔗](#how-to-avoid-conflicts)

Conflicts are always annoying to deal with so it is best to avoid them as much as possible.

For this, the best way is to synchronise as often as possible, so that you are always working with the latest versions of your notes.

Joplin attempts to do this by uploading your latest changes within a few seconds. However, downloading changes is done at fixed intervals, every few minutes (as defined in the Config screen) and this is where conflicts may happen. It can also happen if one of your device did not have an internet connection for some times, and then synchronises. A bad internet connection can also hinder synchronisation because it will interrupt the process, which may have to be restarted from the beginning to ensure consistency.

So if you have not opened your application in a while, manually sync it and wait for it to complete, that way you are sure that whatever change you make will be on the latest version of the note.

id: 0844bae0512b460e97a50d624a15c80b
parent_id: 9909e4c9862c4cb7a110173fe722e9b5
created_time: 2023-01-24T04:04:14.201Z
updated_time: 2023-01-24T04:10:29.664Z
is_conflict: 0
latitude: 0.00000000
longitude: 0.00000000
altitude: 0.0000
author: 
source_url: https://joplinapp.org/conflict/
is_todo: 0
todo_due: 0
todo_completed: 0
source: joplin-desktop
source_application: net.cozic.joplin-desktop
application_data: 
order: 1674533054202
user_created_time: 2023-01-24T04:04:00.000Z
user_updated_time: 2023-01-24T04:10:29.664Z
encryption_cipher_text: 
encryption_applied: 0
markup_language: 1
is_shared: 0
share_id: 
conflict_original_id: 
master_key_id: 
type_: 1