PlantUML Joplin Plugin

# PlantUML Joplin Plugin

## The following are examples of charts that may be created using the Joplin PlantUML Plugin

### Mind Maps
```plantuml
@startmindmap
*[#Orange] root node
	*[#LightGreen] some first level node
		*[#FFBBCC] second level node
		*[#LightBlue] another second level node
	*[#LightGreen] another first level node
@endmindmap
```

### Mermaid Charts[^source1] 
[^source1]: See [this Web site](https://www.diagrams.net/blog/mermaid-diagrams) for further documentation and examples

```mermaid
graph TB;
A-->B;
A-->C;
B-->D;
B-->E;
```

```mermaid
graph LR;
A-->B;
A-->C;
B-->D;
B-->E;
```

```mermaid
pie title Budget;
	"Food" : 400
	"Gas & Tolls" : 50
	"Clothes" : 150
```


id: 472cbc8ccd5e4d03842804c710e955dd
parent_id: 9909e4c9862c4cb7a110173fe722e9b5
created_time: 2021-08-12T01:47:48.983Z
updated_time: 2021-08-12T02:40:47.100Z
is_conflict: 0
latitude: 0.00000000
longitude: 0.00000000
altitude: 0.0000
author: 
source_url: 
is_todo: 0
todo_due: 0
todo_completed: 0
source: joplin-desktop
source_application: net.cozic.joplin-desktop
application_data: 
order: 0
user_created_time: 2021-08-12T01:47:48.983Z
user_updated_time: 2021-08-12T02:40:47.100Z
encryption_cipher_text: 
encryption_applied: 0
markup_language: 1
is_shared: 0
share_id: 
conflict_original_id: 
master_key_id: 
type_: 1