Joplin Short-cuts as of 2022

# Joplin Short-cuts as of 2022
## Notebook Basic Tasks
action|shortcut
-|-
new note | ctrl + n
new todo | ctrl + t
insert 09/03/2019 16:20 | ctrl + shift + t
search in current note* | ctrl + f
search in all notes* | f6
goto anything | ctrl + g
open in external (default text) editor | ctrl + e
synchronise | ctrl + s
close joplin | ctrl + q

> __*search:__
> - `word1 word2`: marks all words listed,
> - `wor*`: marks all words beginning with 'wor',
> - `"word1 word2"`: marks all strings with this character order
>
> *uppercase / lowercase irrelevant
    
## Text Formating
action|shortcut
-|-
**bold** | ctrl + b
*italic* | ctrl + i
UPPERCASE TEXT | ctrl + u
`code` | ctrl + ´,<br>ctrl + \`
comment \<!----> | select text, ctrl + #
{[("'parenthesis etc. around selected text'")]} | select text and type `"`, `(`, `[` or `{`

## Paragraph Editing
action|shortcut
-|-
indent / dedent paragraph | tab <br> shift + tab
move paragraph / table cell up / down|alt + arrow up / down
duplicate paragraphs under each other | alt + shift + up / down
write at multiple positions at once | hold ctrl, select positions
find next occurrence of selected string | ctrl + k,<br>ctrl + shift + k (opposite direction)
insert template | ctrl + alt + i (to create a template go to File/Templates/"Open template directory">write template as `.md`)

## Movement and Selection
action|shortcut
-|-
scroll up and down without moving cursor|ctrl + arrow keys up / down
move by word | ctrl + arrow keys left / right
move to start / end of line | alt + arrow keys left / right,<br>home / end
move to start / end of file | ctrl + home / end
selection by character | hold shift, arrow keys left / right
selection by word | hold shift + ctrl, arrow keys left / right
selection from cursor to the start / end of the line | hold shift + alt, arrow keys left / right or<br>hold shift, home / end
delete word from cursor to the end of the word| ctrl + del
delete word from cursor to the start of the word| ctrl + backspace
delete line from cursor to the end of the line| alt + del
delete line from cursor to the start of the line| alt + backspace

## Navigation
action|shortcut
-|-
goto title | ctrl + shift + n
goto notebook sidebar | ctrl + shift + s, arrow keys up and down
goto note list | ctrl + shift + l, arrow keys up and down
goto note body | ctrl + shift + b
goto options | ctrl + ','
toogle section under heading| f2
toggle sidebar | f10
toggle layout | ctrl + l
vertical scrolling | shift + mousewheel


id: 8602074c46dd43debff1a7a802dbdd5e
parent_id: 9909e4c9862c4cb7a110173fe722e9b5
created_time: 2022-05-13T01:56:41.196Z
updated_time: 2022-05-13T01:58:12.564Z
is_conflict: 0
latitude: 40.01927948
longitude: -74.89151764
altitude: 0.0000
author: 
source_url: 
is_todo: 0
todo_due: 0
todo_completed: 0
source: joplin-desktop
source_application: net.cozic.joplin-desktop
application_data: 
order: 0
user_created_time: 2022-05-13T01:56:41.196Z
user_updated_time: 2022-05-13T01:58:12.564Z
encryption_cipher_text: 
encryption_applied: 0
markup_language: 1
is_shared: 0
share_id: 
conflict_original_id: 
master_key_id: 
type_: 1